Bug 652935 - [abrt] telepathy-butterfly-0.5.14-1.fc14: webcam.py:144:send_data:error: integer out of range for 'L' format code
Summary: [abrt] telepathy-butterfly-0.5.14-1.fc14: webcam.py:144:send_data:error: inte...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e16224b8
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 16:07 UTC by Yassine ABID
Modified: 2012-08-16 17:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 17:11:46 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.17 KB, text/plain)
2010-11-13 16:07 UTC, Yassine ABID
no flags Details

Description Yassine ABID 2010-11-13 16:07:41 UTC
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.35.6-48.fc14.i686
package: telepathy-butterfly-0.5.14-1.fc14
reason: webcam.py:144:send_data:error: integer out of range for 'L' format code
release: Fedora release 14 (Laughlin)
time: 1289664234
uid: 500

backtrace
-----
webcam.py:144:send_data:error: integer out of range for 'L' format code

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/papyon/msnp2p/session_manager.py", line 53, in <lambda>
    lambda tr, blob: self._on_blob_received(blob))
  File "/usr/lib/python2.7/site-packages/papyon/msnp2p/session_manager.py", line 186, in _on_blob_received
    session._on_blob_received(blob)
  File "/usr/lib/python2.7/site-packages/papyon/msnp2p/session.py", line 304, in _on_blob_received
    self._on_data_blob_received(blob)
  File "/usr/lib/python2.7/site-packages/papyon/msnp2p/webcam.py", line 127, in _on_data_blob_received
    self.send_binary_syn() #Send 603 first ?
  File "/usr/lib/python2.7/site-packages/papyon/msnp2p/webcam.py", line 148, in send_binary_syn
    self.send_data('syn')
  File "/usr/lib/python2.7/site-packages/papyon/msnp2p/webcam.py", line 144, in send_data
    header = struct.pack("<LHL", id, 8, len(message_bytes))
error: integer out of range for 'L' format code

Local variables in innermost frame:
data: 'syn'
self: <WebcamSession object at 0xa565aa4 (papyon+msnp2p+session+P2PSession at 0xa6fb580)>
message_bytes: 's\x00y\x00n\x00\x00\x00'
id: 337402009216L

Comment 1 Yassine ABID 2010-11-13 16:07:46 UTC
Created attachment 460251 [details]
File: backtrace

Comment 2 Gabriele Svelto 2010-12-07 20:17:07 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Launch Empathy
2. Connect using an MSN account
3. Respond to an incoming call

Comment 3 Tim Verhoeven 2011-01-14 22:18:45 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start a videochat inside empathy with a friend over msn
2.
3.

Comment 4 Fedora End Of Life 2012-08-16 17:11:48 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.